petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatDestroyMatrices

Destroys a set of matrices obtained with MatGetSubMatrices().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatDestroyMatrices(PetscInt n,Mat *mat[])

Collective on Mat

### Input Parameters

| n | - the number of local matrices
| mat | - the matrices (note that this is a pointer to the array of matrices, just to match the calling sequence of MatGetSubMatrices())

Notes: Frees not only the matrices, but also the array that contains the matrices In Fortran will not free the array.

### See Also

MatGetSubMatrices()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages